// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UBehaviorTreeGraph.h"
#include "SCW_UAIGraph.h"

class UBehaviorTreeGraph;;

namespace Sourcify
{
	class SCW_UBehaviorTreeGraph : public SCW_UAIGraph, public virtual ISCW_UBehaviorTreeGraph
	{
	public:
		SCW_UBehaviorTreeGraph(UBehaviorTreeGraph* InBehaviorTreeGraph);

		UBehaviorTreeGraph* ToUBehaviorTreeGraph() const;

		ISCW_UBehaviorTreeGraphPtr ToUBehaviorTreeGraphPtr() override;
		ISCW_UBehaviorTreeGraphConstPtr ToUBehaviorTreeGraphPtr() const override;

	protected:
		UBehaviorTreeGraph* BehaviorTreeGraph;
	};
} // namespace Sourcify